﻿using SushiBarDataModels;
using SushiBarDataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.BindingModel
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public int SushiId { get; set; }
        public int ClientId { get; set; }
        public int? ImplementerId { get; set; }
        public string ClientFIO { get; set; } = string.Empty;
        public string? ImplementerFIO { get; set; } = string.Empty;
        public int Count { get; set; }
        public double Sum { get; set; }
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }

    }
}
